log4c_rollingpolicy_type Struct Reference

log4c rollingpolicy type. Defines the interface a specific policy must provide to the rollingfile appender. More...

`#include <rollingpolicy.h>`

## Detailed Description

log4c rollingpolicy type. Defines the interface a specific policy must provide to the rollingfile appender.

Attributes description:

- `name` rollingpolicy type name
- `init()` init the rollingpolicy
- `is_triggering_event()`
- `rollover()`

The documentation for this struct was generated from the following file:

- rollingpolicy.h